<?php
/*
=================================================================
Bullet Energy - by White-Master 
-----------------------------------------------------------------
http://white-master.ru/
-----------------------------------------------------------------
Copyright (c) 2011 White-Master
=================================================================
Данный код защищен авторскими правами
=================================================================
Файл: install_function.php
-----------------------------------------------------------------
Назначение: Функции обеспечения стабильного процесса инсталяции.
=================================================================
*/
/**
 * dropTableColum()
 * Метод удаления колонок из базы данных.
 * @param mixed $data['table']
 * @param mixed $data['colum_prefix']
 * @return void
 */
function dropTableColum(array $data = array())
{
  global $db;
  $DropColum = array();
  $db->query("SHOW COLUMNS FROM " . PREFIX . $data['table'] . " LIKE '" . $data['colum_prefix'] . "%'");
  while ($row = $db->get_row()) {
    $DropColum[] = "ALTER TABLE " . PREFIX . $data['table'] . " DROP {$row['Field']}";
  }
  if (count($DropColum)) {
    foreach ($DropColum as $sql) {
      $db->query($sql);
    }
  }
}
/**
 * installAdminCP()
 * Инсталяция модуля в административную панель DLE.
 * @param mixed $data['version'] - Версия модуля.
 * @return void
 */
function installAdminCP(array $data = array())
{
  global $db, $config;
  if ($config['version_id'] > '8.0') {
    $db->query("INSERT INTO " . PREFIX . "_admin_sections (name, title, descr, icon, allow_groups) 
              VALUES ('bullet_energy', 'Bullet Energy " . $data['version'] . "', 'Управление модулем форума.', 'bullet_energy.png', '1')
              ON DUPLICATE KEY UPDATE 
              title = 'Bullet Energy " . $data['version'] . "',
              descr = 'Управление модулем форума.',
              icon = 'bullet_energy.png',
              allow_groups = '1'");
  }
}
/**
 * getLicence()
 * Метод получения лицензионного соглашения.
 * @return void
 */
function getLicense()
{
  $file = @file_get_contents('http://white-master.ru/license.php');
  if ($config['charset'] == 'utf-8') {
    return iconv('windows-1251', 'UTF-8', $file);
  } else {
    return $file;
  }
}

?>